## python-geopandas 1.0.1

=== debian/changelog ===
python-geopandas (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Add patch to fix FTBFS with Shapely 2.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Apr 2025 15:15:02 +0200

python-geopandas (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Oct 2024 19:28:17 +0200

=== debian/control ===
Source: python-geopandas
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               gdal-bin,
               cython3,
               ipython3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cartopy,
               python3-geopy,
               python3-matplotlib,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-psycopg2,
               python3-pyogrio,
               python3-pyproj,
               python3-pytest-cov,
               python3-pytest,
               python3-rtree,
               python3-setuptools,
               python3-shapely,
               python3-sqlalchemy
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git -b experimental
Homepage: http://www.geopandas.org
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-geopandas
Architecture: all
Depends: python3-pandas,
         python3-pyogrio,
         python3-pyproj,
         python3-shapely,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-geopy,
            python3-matplotlib,
            python3-psycopg2,
            python3-rtree
Description: Python3 tools for geographic data
 GeoPandas is a project to add support for geographic data to
 pandas objects.  It currently implements
 `GeoSeries` and `GeoDataFrame` types which are subclasses of
 `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
 objects can act on shapely  geometry objects and perform geometric operations.
 .
 GeoPandas geometry operations are cartesian.  The coordinate reference
 system (crs) can be stored as an attribute on an object, and is
 automatically set when loading from a file.  Objects may be
 transformed to new coordinate systems with the `to_crs()` method.
 There is currently no enforcement of like coordinates for operations,
 but that may change in the future.
 .
 This package contains the Python 3 version of the library.

## python-geopandas 1.1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/reference/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GeoPandas.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GeoPandas.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GeoPandas"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GeoPandas"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

dash: html
	rm -rf geopandas.docset
	doc2dash --name=geopandas _build/html

=== debian/changelog ===
python-geopandas (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with GEOS 3.14.
    (closes: #1114304)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Sep 2025 20:48:15 +0200

python-geopandas (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:53:29 +0200

python-geopandas (1.1.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Jun 2025 06:10:41 +0200

python-geopandas (1.1.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Jun 2025 05:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-sqlalchemy
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=geopandas
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_BEFORE_TEST=cp -v debian/nybb_*.zip examples/ && cp -rv examples/ {build_dir} && cp -rv geopandas/ {build_dir}
else
export PYBUILD_BEFORE_TEST=cp -v debian/nybb_*.zip examples/ && cp -rv examples/ {build_dir} && mkdir -p {build_dir}/geopandas/tests/ && cp -rv geopandas/tests/data/ {build_dir}/geopandas/tests/
endif
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/examples/ {build_dir}/tests/data/ && rm -f examples/nybb_*.zip
export PYBUILD_TEST_ARGS=-v \
 --ignore=geopandas/io/tests/test_file.py \
 --ignore=geopandas/tests/test_geocode.py \
 --ignore=geopandas/tests/test_overlay.py \
 --ignore=geopandas/tests/test_plotting.py \
 geopandas/

%:
	dh  $@ --buildsystem pybuild

execute_after_dh_auto_install:
	# Remove README with privacy-breach issues
	$(RM) debian/*/usr/lib/python*/dist-packages/geopandas/datasets/naturalearth_cities/naturalearth_cities.README.html
	$(RM) -r debian/*/usr/lib/python*/dist-packages/examples

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.tar\.gz/geopandas-$1.tar.gz/ \
https://github.com/geopandas/geopandas/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geopandas 1.1.2

=== debian/changelog ===
python-geopandas (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Annotate build dependencies with nocheck.
  * Refresh patches.
  * Drop shapely-2.1.0.patch & geos-3.14.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Dec 2025 08:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-cartopy,
+               python3-fiona,
+               python3-fsspec <!nocheck>,
                python3-geopy,
                python3-matplotlib,
                python3-numpy,
@@ -21,8 +23,8 @@
                python3-psycopg2,
                python3-pyogrio,
                python3-pyproj,
-               python3-pytest-cov,
-               python3-pytest,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-rtree,
                python3-setuptools,
                python3-shapely,
@@ -31,7 +33,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-geopandas
